MKFONTSCALE(1)

NAME
mkfontscale - create an index of scalable font files for X

SYNOPSIS
mkfontscale [ -e encoding ] ... [ -f fuzz ] [ -- ] [ directory ] ...

DESCRIPTION
For each directory argument, mkfontscale reads all of the scalable font files in the directory. For every font file found, an X11 font name (XLFD) is generated, and is written together with the file name to a file fonts.scale in the directory. The resulting fonts.scale file should be checked and possibly manually edited before being used as input for the mkfontdir(1) program.

OPTIONS

-e encoding
    add encoding to the list of encodings searched for.

-f fuzz
    set the fraction of characters that may be missing in large encodings to fuzz percent. Defaults to 2%.

--  end of options.

SEE ALSO
X(__miscmansuffix__), Xserver(1), mkfontdir(1), ttmkfdir(1), xfs(1), xset(1)

NOTES
Mkfontscale will overwrite any fonts.scale file even if it has been hand-edited.

AUTHOR
Mkfontscale was written by Juliusz Chroboczek <jch@xfree86.org> for the XFree86 project. The functionality of this program was inspired by the ttmkfdir utility by Joerg Pommnitz.